/*
  HC-SR501 PIR Hareket Sensörü Arduino ile Nasıl Kullanılır?
 
  HC-SR501 PIR Hareket Sensörünün detaylı açıklaması ve örnek
  projelerini web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

int sensor = A0;                        // Sensör pini herhangi bir dijital pin de olabilir
int led = 13;                           // LED pinini buradan belirliyoruz
int hareket = 0;                        // Hareket bilgisini saklayacağımız değişken

void setup() {
  pinMode(led, OUTPUT);                 // LED pini çıkış olarak ayarlanıyor
  pinMode(sensor, INPUT);               // Sensör pini giriş olarak ayarlanıyor
  Serial.begin(9600);                   // Seri Port Ekran'ını başlatıyoruz
}

void loop() {
  if (digitalRead(sensor) == HIGH) {    // Sensör hareket algıladığında çıkışı HIGH yapar
    digitalWrite(led, HIGH);            // LED'i yakalım
    if (hareket == 0) {                 // Hareket devam ettiği sürece sürekli yazmasın
      Serial.println("Hareket var!!!"); // Hareket algılandığını yazalım
      hareket = 1;
    }
  } else {                              // Belli ki hareket algılanmamış veya durmuş
    digitalWrite(led, LOW);             // LED'i söndürüyoruz
    if (hareket == 1) {                 // Hareketsizlik süresince sürekli yazmasın
      Serial.println("Hareket durdu."); // Hareketin durduğunu yazalım
      hareket = 0;
    }
  }
}
